Skip to Content
Custom fields

Update Custom Field Definition

Zugriff

Mitglied der Organisation mit dieser Berechtigung:

  • custom-fields:manage

Ein API-Schlüssel mit Scopes braucht die Berechtigung auch in seinen Scopes.

PATCH
/orgs/{organizationId}/custom-fields/definitions/{id}

Changes label, description, required flag or configuration. Key and type cannot change.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
definition*||||||||||||
readAccess?
Default{}
writeAccess?
Default{}

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//custom-fields/definitions/string' \  -H 'Content-Type: application/json' \  -d '{  "definition": {    "key": "string",    "label": "string",    "required": true,    "type": "TEXT",    "config": {}  }}'
Example Response
null